<?xml version="1.0" encoding="gb2312" ?>
<xs:schema targetNamespace="http://www.h3c.com/netconf/config:1.0"
           elementFormDefault="qualified"
           xmlns="http://www.h3c.com/netconf/config:1.0"
           xmlns:base="http://www.h3c.com/netconf/base:1.0"
           xmlns:netconf ="urn:ietf:params:xml:ns:netconf:base:1.0"
           xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import namespace="http://www.h3c.com/netconf/base:1.0" schemaLocation="basetype.xsd"></xs:import>
  <xs:import schemaLocation="netconf.xsd" namespace="urn:ietf:params:xml:ns:netconf:base:1.0"></xs:import>
  <xs:element name="UserAccounts">
    <xs:complexType>
      <xs:choice maxOccurs="unbounded">
        <xs:element name="Management">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="Accounts" minOccurs="0">
                <xs:complexType>
                  <xs:choice maxOccurs="unbounded">
                    <xs:element name="Account" maxOccurs="unbounded" minOccurs="0">
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="Name" minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:String">
                                  <xs:minLength value="1"></xs:minLength>
                                  <xs:maxLength value="55"></xs:maxLength>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="Password" minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:String">
                                  <xs:minLength value="1"></xs:minLength>
                                  <xs:maxLength value ="63"></xs:maxLength>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="GroupName" minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:String">
                                  <xs:minLength value="1"></xs:minLength>
                                  <xs:maxLength value ="32"></xs:maxLength>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="FTP" minOccurs="0" type="base:Boolean" nillable="true"></xs:element>
                          <xs:element name="HTTP" minOccurs="0" type="base:Boolean" nillable="true"></xs:element>
                          <xs:element name="HTTPS" minOccurs="0" type="base:Boolean" nillable="true"></xs:element>
                          <xs:element name="PAD" minOccurs="0" type="base:Boolean" nillable="true"></xs:element>
                          <xs:element name="SSH" minOccurs="0" type="base:Boolean" nillable="true"></xs:element>
                          <xs:element name="TELNET" minOccurs="0" type="base:Boolean" nillable="true"></xs:element>
                          <xs:element name="Terminal" minOccurs="0" type="base:Boolean" nillable="true"></xs:element>
                          <xs:element name="AccessLimit" minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="1"></xs:minInclusive>
                                  <xs:maxInclusive value="1024"></xs:maxInclusive>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="FTPHomeDir" minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:String">
                                  <xs:minLength value="1"></xs:minLength>
                                  <xs:maxLength value ="255"></xs:maxLength>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                        </xs:all>
                        <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                      </xs:complexType>
                    </xs:element>
                  </xs:choice>
                  <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
              <xs:element name="UserRoles" minOccurs="0">
                <xs:complexType>
                  <xs:choice maxOccurs="unbounded">
                    <xs:element name="UserRole" maxOccurs="unbounded" minOccurs="0">
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="UserName" minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:String">
                                  <xs:minLength value="1"></xs:minLength>
                                  <xs:maxLength value="55"></xs:maxLength>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="RoleName" minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:String">
                                  <xs:minLength value="1"></xs:minLength>
                                  <xs:maxLength value="63"></xs:maxLength>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                        </xs:all>
                        <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                      </xs:complexType>
                    </xs:element>
                  </xs:choice>
                  <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:NodeAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name="Network">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="Accounts" minOccurs="0">
                <xs:complexType>
                  <xs:choice maxOccurs="unbounded">
                    <xs:element name="Account" maxOccurs="unbounded" minOccurs="0">
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="Name" minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:String">
                                  <xs:minLength value="1"></xs:minLength>
                                  <xs:maxLength value="55"></xs:maxLength>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="Password" minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:String">
                                  <xs:minLength value="1"></xs:minLength>
                                  <xs:maxLength value ="63"></xs:maxLength>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="GroupName" minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:String">
                                  <xs:minLength value="1"></xs:minLength>
                                  <xs:maxLength value ="32"></xs:maxLength>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="ADVPN" minOccurs="0" type="base:Boolean" nillable="true"></xs:element>
                          <xs:element name="IKE" minOccurs="0" type="base:Boolean" nillable="true"></xs:element>
                          <xs:element name="IPoE" minOccurs="0" type="base:Boolean" nillable="true"></xs:element>
                          <xs:element name="LanAccess" minOccurs="0" type="base:Boolean" nillable="true"></xs:element>
                          <xs:element name="Portal" minOccurs="0" type="base:Boolean" nillable="true"></xs:element>
                          <xs:element name="PPP" minOccurs="0" type="base:Boolean" nillable="true"></xs:element>
                          <xs:element name="AccessLimit" minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="1"></xs:minInclusive>
                                  <xs:maxInclusive value="1024"></xs:maxInclusive>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="AuthorizationInfo" minOccurs="0">
                            <xs:complexType>
                              <xs:all>
                                <xs:element name="AclNumber"  minOccurs="0" nillable="true">
                                  <xs:complexType>
                                    <xs:simpleContent>
                                      <xs:restriction base="base:UnsignedInteger32">
                                        <xs:minInclusive value ="2000"></xs:minInclusive>
                                        <xs:maxInclusive value ="5999"></xs:maxInclusive>
                                      </xs:restriction>
                                    </xs:simpleContent>
                                  </xs:complexType>
                                </xs:element>
                                <xs:element name="CallbackNumber"  minOccurs="0" nillable="true">
                                  <xs:complexType>
                                    <xs:simpleContent>
                                      <xs:restriction base="base:String">
                                        <xs:minLength value="1"></xs:minLength>
                                        <xs:maxLength value ="64"></xs:maxLength>
                                      </xs:restriction>
                                    </xs:simpleContent>
                                  </xs:complexType>
                                </xs:element>
                                <xs:element name="SessTimeout"  minOccurs="0" nillable="true">
                                  <xs:complexType>
                                    <xs:simpleContent>
                                      <xs:restriction base="base:UnsignedInteger32">
                                        <xs:minInclusive value ="1"></xs:minInclusive>
                                        <xs:maxInclusive value ="1440"></xs:maxInclusive>
                                      </xs:restriction>
                                    </xs:simpleContent>
                                  </xs:complexType>
                                </xs:element>
                                <xs:element name="IdleTimeout"  minOccurs="0" nillable="true">
                                  <xs:complexType>
                                    <xs:simpleContent>
                                      <xs:restriction base="base:UnsignedInteger32">
                                        <xs:minInclusive value ="1"></xs:minInclusive>
                                        <xs:maxInclusive value ="120"></xs:maxInclusive>
                                      </xs:restriction>
                                    </xs:simpleContent>
                                  </xs:complexType>
                                </xs:element>
                                <xs:element name="PrimaryDNSServer" type="base:IpAddress" minOccurs="0" nillable="true"></xs:element>
                                <xs:element name="SecondaryDNSServer" type="base:IpAddress" minOccurs="0" nillable="true"></xs:element>
                                <xs:element name="URL"  minOccurs="0" nillable="true">
                                  <xs:complexType>
                                    <xs:simpleContent>
                                      <xs:restriction base="base:URLString">
                                        <xs:minLength value="1"></xs:minLength>
                                        <xs:maxLength value ="255"></xs:maxLength>
                                      </xs:restriction>
                                    </xs:simpleContent>
                                  </xs:complexType>
                                </xs:element>
                                <xs:element name="UserProfile"  minOccurs="0" nillable="true">
                                  <xs:complexType>
                                    <xs:simpleContent>
                                      <xs:restriction base="base:String">
                                        <xs:pattern value="^[a-zA-Z]([a-zA-Z0-9]|_){0,}$"></xs:pattern>
                                        <xs:minLength value="1"></xs:minLength>
                                        <xs:maxLength value ="31"></xs:maxLength>
                                      </xs:restriction>
                                    </xs:simpleContent>
                                  </xs:complexType>
                                </xs:element>
                                <xs:element name="VLANID"  minOccurs="0" nillable="true">
                                  <xs:complexType>
                                    <xs:simpleContent>
                                      <xs:restriction base="base:UnsignedInteger32">
                                        <xs:minInclusive value ="1"></xs:minInclusive>
                                        <xs:maxInclusive value ="4094"></xs:maxInclusive>
                                      </xs:restriction>
                                    </xs:simpleContent>
                                  </xs:complexType>
                                </xs:element>
                                <xs:element name="VRF"  minOccurs="0" nillable="true">
                                  <xs:complexType>
                                    <xs:simpleContent>
                                      <xs:restriction base="base:String">
                                        <xs:minLength value="1"></xs:minLength>
                                        <xs:maxLength value ="31"></xs:maxLength>
                                      </xs:restriction>
                                    </xs:simpleContent>
                                  </xs:complexType>
                                </xs:element>
                                <xs:element name="Ipv4Address" type="base:Ipv4Address" minOccurs="0" nillable="true"></xs:element>
                                <xs:element name="Ipv6Address" type="base:Ipv6Address" minOccurs="0" nillable="true"></xs:element>
                                <xs:element name="IpPool"  minOccurs="0" nillable="true">
                                  <xs:complexType>
                                    <xs:simpleContent>
                                      <xs:restriction base="base:String">
                                        <xs:minLength value="1"></xs:minLength>
                                        <xs:maxLength value ="31"></xs:maxLength>
                                      </xs:restriction>
                                    </xs:simpleContent>
                                  </xs:complexType>
                                </xs:element>
                                <xs:element name="Ipv6Pool"  minOccurs="0" nillable="true">
                                  <xs:complexType>
                                    <xs:simpleContent>
                                      <xs:restriction base="base:String">
                                        <xs:minLength value="1"></xs:minLength>
                                        <xs:maxLength value ="63"></xs:maxLength>
                                      </xs:restriction>
                                    </xs:simpleContent>
                                  </xs:complexType>
                                </xs:element>
                              </xs:all>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="AuthorizationIpv6PrefixInfo" minOccurs="0">
                            <xs:complexType>
                              <xs:all>
                                <xs:element name="Ipv6Address" type="base:Ipv6Address" minOccurs="0" nillable="true"></xs:element>
                                <xs:element name="Ipv6PrefixLength"  minOccurs="0" nillable="true">
                                  <xs:complexType>
                                    <xs:simpleContent>
                                      <xs:restriction base="base:UnsignedInteger32">
                                        <xs:minInclusive value ="1"/>
                                        <xs:maxInclusive value ="128"/>
                                      </xs:restriction>
                                    </xs:simpleContent>
                                  </xs:complexType>
                                </xs:element>
                              </xs:all>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="BindingInfo" minOccurs="0">
                            <xs:complexType>
                              <xs:all>
                                <xs:element name="CallNumber"  minOccurs="0" nillable="true">
                                  <xs:complexType>
                                    <xs:simpleContent>
                                      <xs:restriction base="base:String">
                                        <xs:minLength value="1"></xs:minLength>
                                        <xs:maxLength value ="64"></xs:maxLength>
                                      </xs:restriction>
                                    </xs:simpleContent>
                                  </xs:complexType>
                                </xs:element>
                                <xs:element name="Interface"  minOccurs="0" type="base:InterfaceName" nillable="true"></xs:element>
                                <xs:element name="Ipv4Address" minOccurs="0" type="base:Ipv4Address" nillable="true"></xs:element>
                                <xs:element name="MacAddress"  minOccurs="0" type="base:MacAddress" nillable="true"></xs:element>
                                <xs:element name="VLANID"  minOccurs="0" nillable="true">
                                  <xs:complexType>
                                    <xs:simpleContent>
                                      <xs:restriction base="base:UnsignedInteger32">
                                        <xs:minInclusive value ="1"></xs:minInclusive>
                                        <xs:maxInclusive value ="4094"></xs:maxInclusive>
                                      </xs:restriction>
                                    </xs:simpleContent>
                                  </xs:complexType>
                                </xs:element>
                              </xs:all>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="SessTimeout"  minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value ="1"></xs:minInclusive>
                                  <xs:maxInclusive value ="1440"></xs:maxInclusive>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
						  <xs:element name="Description" minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:String">
                                  <xs:minLength value="1"/>
                                  <xs:maxLength value="255"/>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="ValidityDateTime" minOccurs="0">
                            <xs:complexType>
                              <xs:all>
                                <xs:element name="StartValidityDateTime" minOccurs="0" nillable="true" type="base:DateTime">
                                </xs:element>
                                <xs:element name="EndValidityDateTime" minOccurs="0" nillable="true" type="base:DateTime">
                                </xs:element>
                              </xs:all>
                            </xs:complexType>
                          </xs:element>
                        </xs:all>
                        <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                      </xs:complexType>
                    </xs:element>
                  </xs:choice>
                  <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
              <xs:element name="IdentityGroups" minOccurs="0">
                <xs:complexType>
                  <xs:choice maxOccurs="unbounded">
                    <xs:element name="IdentityGroup" maxOccurs="unbounded" minOccurs="0">
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="UserName" minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:String">
                                  <xs:minLength value="1"></xs:minLength>
                                  <xs:maxLength value="55"></xs:maxLength>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="GroupName" minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:String">
                                  <xs:minLength value="1"></xs:minLength>
                                  <xs:maxLength value ="32"></xs:maxLength>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                        </xs:all>
                        <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                      </xs:complexType>
                    </xs:element>
                  </xs:choice>
                  <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:NodeAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name="Guest">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="Accounts" minOccurs="0">
                <xs:complexType>
                  <xs:choice maxOccurs="unbounded">
                    <xs:element name="Account" maxOccurs="unbounded" minOccurs="0">
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="WaitApproval" type="base:Boolean" minOccurs="0" maxOccurs="1" nillable="true">
                          </xs:element>
                          <xs:element name="Name" minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:String">
                                  <xs:minLength value="1"></xs:minLength>
                                  <xs:maxLength value="55"></xs:maxLength>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="Password" minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:String">
                                  <xs:minLength value="1"/>
                                  <xs:maxLength value="63"/>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="GroupName" minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:String">
                                  <xs:minLength value="1"/>
                                  <xs:maxLength value="32"/>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="FullName" minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:String">
                                  <xs:minLength value="1"/>
                                  <xs:maxLength value="255"/>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="Phone" minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:String">
                                  <xs:minLength value="1"/>
                                  <xs:maxLength value="32"/>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="Email" minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:String">
                                  <xs:minLength value="1"/>
                                  <xs:maxLength value="255"/>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="Company" minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:String">
                                  <xs:minLength value="1"/>
                                  <xs:maxLength value="255"/>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="Description" minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:String">
                                  <xs:minLength value="1"/>
                                  <xs:maxLength value="255"/>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="SponsorFullName" minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:String">
                                  <xs:minLength value="1"/>
                                  <xs:maxLength value="255"/>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="SponsorEmail" minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:String">
                                  <xs:minLength value="1"/>
                                  <xs:maxLength value="255"/>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="SponsorDepartment" minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:String">
                                  <xs:minLength value="1"/>
                                  <xs:maxLength value="127"/>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="ValidityDateTime" minOccurs="0">
                            <xs:complexType>
                              <xs:all>
                                <xs:element name="StartValidityDateTime" minOccurs="0" nillable="true" type="base:DateTime">
                                </xs:element>
                                <xs:element name="EndValidityDateTime" minOccurs="0" nillable="true" type="base:DateTime">
                                </xs:element>
                              </xs:all>
                            </xs:complexType>
                          </xs:element>
                        </xs:all>
                        <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                      </xs:complexType>
                    </xs:element>
                  </xs:choice>
                  <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:NodeAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name="GuestConfigure" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="AutoDelete" type="base:Boolean" minOccurs="0" nillable="true">
              </xs:element>
              <xs:element name="EmailFormat" minOccurs="0">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="GuestSubject" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:minLength value="1"/>
                            <xs:maxLength value="127"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="GuestBody" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:minLength value="1"/>
                            <xs:maxLength value="255"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="GuestManagerSubject" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:minLength value="1"/>
                            <xs:maxLength value="127"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="GuestManagerBody" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:minLength value="1"/>
                            <xs:maxLength value="255"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="GuestSponsorSubject" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:minLength value="1"/>
                            <xs:maxLength value="127"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="GuestSponsorBody" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:minLength value="1"/>
                            <xs:maxLength value="255"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                </xs:complexType>
              </xs:element>
              <xs:element name="GuestManagerEmail" minOccurs="0" nillable="true">
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:String">
                      <xs:minLength value="1"/>
                      <xs:maxLength value="255"/>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
              <xs:element name="EmailSender" minOccurs="0" nillable="true">
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:String">
                      <xs:minLength value="1"/>
                      <xs:maxLength value="255"/>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
              <xs:element name="SmtpServer" minOccurs="0" nillable="true">
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:String">
                      <xs:minLength value="1"/>
                      <xs:maxLength value="255"/>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
              <xs:element name="WaitApprovalTime" minOccurs="0" nillable="true">
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:UnsignedInteger32">
                      <xs:minInclusive value ="1"></xs:minInclusive>
                      <xs:maxInclusive value ="720"></xs:maxInclusive>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name="UserGroups" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="Group" maxOccurs="unbounded" minOccurs="0">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="Name" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:minLength value="1"></xs:minLength>
                            <xs:maxLength value ="32"></xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="AuthorizationInfo" minOccurs="0">
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="AclNumber"  minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value ="2000"></xs:minInclusive>
                                  <xs:maxInclusive value ="5999"></xs:maxInclusive>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="CallbackNumber" minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:String">
                                  <xs:minLength value="1"></xs:minLength>
                                  <xs:maxLength value ="64"></xs:maxLength>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="FTPHomeDir" minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:String">
                                  <xs:minLength value="1"></xs:minLength>
                                  <xs:maxLength value ="255"></xs:maxLength>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="SessTimeout"  minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value ="1"></xs:minInclusive>
                                  <xs:maxInclusive value ="1440"></xs:maxInclusive>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="IdleTimeout"  minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value ="1"></xs:minInclusive>
                                  <xs:maxInclusive value ="120"></xs:maxInclusive>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="PrimaryDNSServer" type="base:IpAddress" minOccurs="0" nillable="true"></xs:element>
                          <xs:element name="SecondaryDNSServer" type="base:IpAddress" minOccurs="0" nillable="true"></xs:element>
                          <xs:element name="URL" minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:String">
                                  <xs:minLength value="1"></xs:minLength>
                                  <xs:maxLength value ="255"></xs:maxLength>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="UserProfile" minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:String">
                                  <xs:pattern value="^[a-zA-Z]([a-zA-Z0-9]|_){0,}$"></xs:pattern>
                                  <xs:minLength value="1"></xs:minLength>
                                  <xs:maxLength value ="31"></xs:maxLength>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="VLANID"  minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value ="1"></xs:minInclusive>
                                  <xs:maxInclusive value ="4094"></xs:maxInclusive>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="VRF" minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:String">
                                  <xs:minLength value="1"></xs:minLength>
                                  <xs:maxLength value ="31"></xs:maxLength>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="IpPool" minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:String">
                                  <xs:minLength value="1"></xs:minLength>
                                  <xs:maxLength value ="31"></xs:maxLength>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="Ipv6Pool" minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:String">
                                  <xs:minLength value="1"></xs:minLength>
                                  <xs:maxLength value ="63"></xs:maxLength>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="AuthorizationIpv6PrefixInfo" minOccurs="0">
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="Ipv6Address" type="base:Ipv6Address" minOccurs="0" nillable="true"></xs:element>
                          <xs:element name="Ipv6PrefixLength"  minOccurs="0"  nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value ="1"/>
                                  <xs:maxInclusive value ="128"/>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name="Identity">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="Users" minOccurs="0">
                <xs:complexType>
                  <xs:choice maxOccurs="unbounded">
                    <xs:element name="User" maxOccurs="unbounded" minOccurs="0">
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="Name" minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:String">
                                  <xs:minLength value="1"></xs:minLength>
                                  <xs:maxLength value="55"></xs:maxLength>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="IpType" minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value ="0"></xs:minInclusive>
                                  <xs:maxInclusive value ="1"></xs:maxInclusive>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="IpAddress" minOccurs="0" type="base:IpAddress" nillable="true"></xs:element>
                          <xs:element name="MacAddress"  minOccurs="0" type="base:MacAddress" nillable="true"></xs:element>
                        </xs:all>
                        <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                      </xs:complexType>
                    </xs:element>
                  </xs:choice>
                  <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:NodeAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name="UserGroup">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="IdentityGroups" minOccurs="0">
                <xs:complexType>
                  <xs:choice maxOccurs="unbounded">
                    <xs:element name="IdentityGroup" maxOccurs="unbounded" minOccurs="0">
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="GroupName" minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:String">
                                  <xs:minLength value="1"></xs:minLength>
                                  <xs:maxLength value="32"></xs:maxLength>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="IdentityGroup" minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:String">
                                  <xs:minLength value="1"></xs:minLength>
                                  <xs:maxLength value="32"></xs:maxLength>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                        </xs:all>
                        <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                      </xs:complexType>
                    </xs:element>
                  </xs:choice>
                  <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
              <xs:element name="IdentityMembers" minOccurs="0">
                <xs:complexType>
                  <xs:choice maxOccurs="unbounded">
                    <xs:element name="IdentityMember" maxOccurs="unbounded" minOccurs="0">
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="GroupName" minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:String">
                                  <xs:minLength value="1"></xs:minLength>
                                  <xs:maxLength value="32"></xs:maxLength>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="UserName" minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:String">
                                  <xs:minLength value="1"></xs:minLength>
                                  <xs:maxLength value="55"></xs:maxLength>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                        </xs:all>
                        <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                      </xs:complexType>
                    </xs:element>
                  </xs:choice>
                  <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:NodeAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name="IdentityEnable" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="Enable" minOccurs="0" type="base:Boolean" nillable="true"></xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name="ChangePasswords" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="ChangePassword" maxOccurs="unbounded" minOccurs="0">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="UserName" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:minLength value="1"></xs:minLength>
                            <xs:maxLength value="311"></xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Password" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:minLength value="1"></xs:minLength>
                            <xs:maxLength value ="63"></xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
      </xs:choice>
      <xs:attributeGroup ref="base:NodeAttributeGroup"></xs:attributeGroup>
    </xs:complexType>
  </xs:element>
</xs:schema>